Skip to main content
GET
Get interview details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

interview_id
string
required

Query Parameters

session_id
string

Response

200 - application/json

Interview details retrieved successfully

role_title
string
Example:

"Software Engineer"

mapped_role_title
string

Mapped role title derived on the role title and interview transcript.

Example:

"Backend Developer"

candidate_email
string
Example:

"example@gmail.com"

candidate_id
string
Example:

"5d19f4ff-1574-4aa6-a017-60f927f7740a"

interview_id
string
Example:

"123cb1b6-0cc1-4ab6-aa3c-5e0c75da6c6f_5d19f4ff-1574-4aa6-a017-60f927f7740a"

iframe_url
string<uri>
Example:

"https://turing.qode.world/interview/fbSGW"

request_metadata
object | null

Custom metadata object passed during interview creation.

interview_type
enum<string> | null

Type of AI interviewer used for this interview.

Available options:
TURING_STEM,
TURING_NON_STEM,
DOCKER_INTERVIEW,
SOFTWARE_ENGINEER
Example:

"TURING_STEM"

sub_interview_type
string | null

Grouped job title for TURING_STEM and TURING_NON_STEM interview types.

Example:

"Project Manager"

session_id
string | null

ID of an interview session

Example:

"4e9e55ee-63f3-4c04-87ec-82a1823a538d"

summary
object | null
assets
object | null
metadata
object | null
duration
number | null

Duration of the interview in seconds

Example:

1800

interview_signals
object | null
black_screen_timestamps
object[]

Time ranges where a black screen was detected during the interview.

Example:
meeting_data
object
candidate_profile
object
agent_response_summary
object[] | null

Multi-agent assessment results for each interview question. See Multi-Agent Assessment for detailed schema documentation.

overall_score
number | null

Aggregated score across all questions and agents (0–100 scale).

Example:

70

interview_result
string

Overall interview result (e.g., "Pass", "Fail", "Not enough interviews (minimum 10 required) for this role to evaluate Pass/Fail.").

Example:

"Fail"

count_all_core_domains
integer | null

Total number of core domains assessed in this interview.

Example:

2

count_covered_core_domains
integer | null

Number of core domains that were covered during the interview.

Example:

2

uncovered_domains
array

List of domains that were not covered during the interview for that role title.

Example:
language_proficiency_scores
object

Language proficiency assessment scores (Only available for BUSINESS_ANALYST, BUSINESS_ANALYST_MCQ and MULTI_BUSINESS_ANALYST)

code_task_result
object | null

Result of code task assessment including individual tasks and overall coding score. (Only for SOFTWARE_ENGINEER_CODING)

card_check_image_path
string | null

Path to the identity screenshot

demonstrated_skills_across_domains
object[] | null

Skills demonstrated across different domains with confidence intervals and stability metrics.

scored_skills
object[] | null

Individual skills with their pooled mean scores and confidence intervals.

interview_level_bootstrap
object | null

Bootstrap confidence interval and interpretation for the overall interview score.

grading_rubric_result
object | null

Result of the grading rubric assessment.

assessment_version
enum<string> | null

Version of the assessment.

Available options:
no_ci_v1,
ci_v2,
pf_domain_v3,
pf_domain_3p_v4
latency_summary
object | null

Latency analysis summary for the interview session.

event
enum<string>
Available options:
SCHEDULED,
STARTED,
NO_SHOW,
CANDIDATE_DROP_OFF,
TECHNICAL_GLITCH,
INTERVIEW_COMPLETED,
REPORT_GENERATED
Example:

"started"

timestamp
string

event timestamp in ISO 8601 format

Example:

"2025-11-11T08:04:04Z"